<info> <desc>Documentation des mises à jour</desc> <name>Thomas Noël</name> <email>tnoël@entrouvert.com</email> <name>Pierre Cros</name> <email>pcros@entrouvert.com</email> </info>

Image ISO sur http://isos.univnautes.entrouvert.com/

      20130503
    <list>
      <item>Interface "Carte de France"
      <list>
        <item>changement des templates pour affichage d'une carte de
        France</item>
        <item>adaptation de la documentation concernant les textes (qui ne sont
        plus placés aux mêmes endroits)</item>
        <item>mise en place de "cron" pour mettre à jour les infos
        géographiques des IdP (une fois par heure, avec les metadata)</item>
        <item>paramétrage dans pfSense pour indiquer les sources des données
        géographiques et la zone géographique à afficher par défaut</item>
        <item>gestion 100% javascript du discovery</item>
        <item>ajout de tuiles locales pour l'affichage de la carte (20Mo, 680
        tuiles)</item>
        <item>ajout d'un proxy vers un moteur de tuile si les tuiles locales ne
        suffisent pas</item>
        <item>suppression de la détection des mobiles, remplacée par
        une interface "responsive"</item>
        <item>optimisation des vues Django</item>
        <item>ajout de sous-pages : conditions d'utilisation (=disclaimer),
        licences, contact</item>
      </list>
      </item>
      <item>Mises à jour
      <list>
        <item>passage à django 1.4.5</item>
        <item>mise à jour de la bibliothèque Lasso (patches de la version
        "master")</item>
        <item>mise à jour des paquets FreeBSD, notamment tcpdump et lighttpd
        1.4.32</item>
        <item>mise à jour du config.xml livré sur l'ISO</item>
      </list>
      </item>
      <item>Optimisations et corrections
      <list>
      <item>synchro des codes et patches UnivNautes avec pfSense 2.0.3 + github/master</item>
      <item>optimisation de la configuration de ligttpd (limitation du nombre
      de connexion par IP, limitation du keep-alive, gestion directe des /media)</item>
      <item>utilisation de syslog pour les erreurs du ligttpd qui pilote
      UnivNautes</item>
      <item>ajout d'un "cron" pour relancer le tcpdump/pflog une fois par jour
      (solution actuelle pour contrer une fuite mémoire)</item>
      </list>
      </item>
    </list>

      20121010
    <list>
      <item>synchronisation du code avec pfSense 2.0 (corrections de bogues)</item>
      <item>mise à jour django 1.4.1</item>
    </list>

      20120712
    <list>
      <item>ajout du service "discovery"</item>
      <item>ajout d'un formulaire de contact/déclaration de panne/etc</item>
      <item>modifications dans la présentation des options de configuration (ordre peu plus logique)</item>
      <item>mise à jour de la documentation Mallard</item>
      <item>interne : mise à jour des composants jquery et jquerymobile</item>
    </list>

      20120626
    <list>
      <item>ajout de l'interface de gestion des comptes de l'IdP local</item>
      <item>mise à jour complète du système
        <list>
          <item>authentic 2.0.2 / lasso 2.3.99 (pre-2.4)</item>
          <item>django 1.4</item>
          <item>python 2.7</item>
          <item>pfSense 2.0.1 (http://blog.pfsense.org/?p=633 + derniers patches 2.0.2RC2)</item>
           <item>FreeBSD 8.1-RELEASE-p10</item>
        </list>
      </item>
      <item>prise en charge du fuseau horaire (timezone) configuré dans le menu
      System/General Setup (par défaut positionné à Europe/Paris sur une
      installation depuis l'image ISO ; à vérifier sur les univnautes qui seront
      upgradées)</item>
      <item>log "SSOREDIRECT" quand un utilisateur clique sur son IdP</item>
      <item>interne : reprise à zéro du process de build des ISO (suivi du build
      officiel pfSense, utilisation de freesbie pour l'ajout des paquets)</item>
      <item>interne : création du virtualenv basé sur pip (au lieu de easy_install)</item>
      <item>interne : meilleur script de nettoyage après un upgrade (supprime bien les
      anciennes versions des paquets)</item>
      <item>documentation passée en format Mallard http://projectmallard.org/</item>
      <item>sources sur http://repos.entrouvert.org/univnautes.git</item>
      <item>correction du bug dans pffedportal : le "cleanup" des sessions fonctionne désormais correctement</item>
      <item>mise à jour de wget avec prise en charge des subjectAltName (résoud le pb de certificat de www.cru.fr pour la whitelist)</item>
    </list>

      20111004
    <list>
    <item>permettre des connexions multiples pour les comptes ayant le privilège «UnivNautes IdP - allow multiple connexions» (typiquement, les logins de colloque). Inclus un nouveau patch du portail captif pfsense.</item>
    <item>IdP local : envoie les privilèges des comptes pfSense en attribut (univnautesPrivileges)</item>
    <item>IdP local : gestion du eduPersonTargetedId</item>
    <item>le username ne contient plus de transientID
    <list>
      <item>impact : le format de la blacklist change</item>
      <item>impact : le format des logs change</item>
    </list></item>
    <item>builder: ne dépend plus de freebsd.org pour les pkg_add</item>
    <item>suivi des évolutions côté pfSense (ajout de relayd dans les services)</item>
    </list>

      20110920
    <list>
    <item>correction du bogue "routage statique impossible", intégration de https://github.com/bsdperimeter/pfsense-tools/commit/769f677050a58e08d041505b5417ddb</item>
    <item>/etc/version indique maintenant la version d'UnivNautes</item>
    </list>

      20110916
    <list>
    <item>désormais basé sur pfSense 2.0 RELEASE (core + patches FreeBSD + outils de génération des ISO)</item>
    <item>mise à jour vers Django 1.2.7</item>
    <item>mise à jour Authentic2</item>
    <item>mise à jour jquery mobile 1.0 b3</item>
    <item>«  intégré »
    <list>
      <item>ajout d'une application Django "pfidp" proposant un IdP SAML utilisant la fédération. Il authentifie les utilisateurs locaux à pfSense disposant d'un privilège spécifique à univnautes.</item>
      <item>ajout de la configuration de cet IdP dans l'onglet Univnautes de l'interface admin web de pfsense</item>
      <item>ajout du suivi du service IdP dans l'interface admin web de pfsense</item>
      <item>ajout des logs de l'IdP dans l'onglet log/Portal Auth</item>
    </list></item>
    </list>

      20110724
    <list>
    <item>passage sous pfSense 2.0 RC3 / FreeBSD 8.1</item>
    <item>nouvelle version de la bibliothèque lasso avec gestion multi-clés</item>
    <item>blacklist d'adresses MAC (en bas de l'onglet Univnautes)</item>
    <item>détection des mobiles (iPhone, iPad, Android, etc) avec interface web dédiée (voir )</item>
    <item>mise à jour du système de construction des images (suivi des évolutions pfSense 2.0/2.1)</item>
    <item>nouvelle présentation des logos du MESR et de l'UNPIdF en bas de page</item>
    </list>

      20110424
    <list>
    <item>correction de bogue : le portail captif comprend maintenant l'attribut eduPersonTargetedID via son OID.</item>
    <item>(interne: disparition du local_settings.py pour pffedportal, tout est intégré par défaut)</item>
    <item>(interne: rangement des codes sources, nettoyage du builder)</item>
    </list>

      20110323
    <list>
    <item>ajout d'un système de log de debug très verbeux pour les soucis complexes (désactivé par défaut, il faut faire LOG_DEBUG=True dans local_settings.py et relacer pffedportal pour l'activer)</item>
    </list>

      20110319
    <list>
    <item>ajout du module UCD dans le serveur bsnmpd, notamment pour suivre le nombre de sessions en cours sur le portail captif -- documentation sur </item>
    <item>title (tooltips) sur les logos</item>
    <item>« propulsé par » au lieu de « powered by »</item>
    <item>suivi des correctifs de la RC1 (principalement, gestion des locks sur la base de session du portail captif)</item>
    </list>

      20110308
    <list>
    <item>correction bogue TIMEOUT http://redmine.pfsense.org/issues/1338</item>
    <item>bouton de déconnexion + affichage plus petit dans le widget captive_portal</item>
    </list>

      20110307
    <list>
    <item>pfSense 2.0 RC1</item>
    <item>ajout de l'indication «choisissez votre établissement :» en haut du cadre bleu dans la page de login</item>
    <item>textes par défaut visibles dans l'interface admin</item>
    <item>logos retaillés</item>
    <item>correction bug authsaml: permettre des IdP avec des noms identiques (bloquait la migration fédération renater test vers renater prod) [passage à authentic 1.9.1]</item>
    <item>si pas d'URL de metadata, alors on supprime toutes les données de la fédération</item>
    <item>système de post-update: mise à jour de la structure base de données après un update (en fait, réinitialisation+repopulation complète)</item>
    <item>widget captive_portal : n'affiche que les 10 derniers connectés</item>
    <item>on peut maintenant placer des variables dans l'URL de redirection forcée (en format python, par exemple « %(ip)s » pour l'adresse IP)</item>
    </list>

      20110224-1630
    <list>
    <item>1ère version candidate pour exploitation !</item>
    <item>fin intégration graphique « bristol »</item>
    <item>ajout des informations de connexion sur la page d'accueil</item>
    <item>possibilité de redirection vers une URL fixée (au lieu de l'URL demandée)</item>
    <item>(interne: correction d'un gros bug sur la gestion de la whitelist, qui était désactivée lors d'un reload des règles du firewall... très étonnant que personne ne l'ait signalé !)</item>
    <item>(interne: synchro avec upstream, cp_api.inc désormais inutile)</item>
    </list>

      20110221-1439
    <list>
    <item>intégration graphique « bristol »</item>
    <item>redirection vraiment instantanée si delai=0</item>
    <item>paramétrage plus complet des textes dans l'onglet « Texts » de Services/Captive Portal.</item>
    <item>traduction en français de l'écran intermédiaire « post »</item>
    </list>

      20110217-1414
    <list>
    <item>URL de redirection : système retiré (né d'une incompréhension)</item>
    <item>redirection de l'utilisateur après son login vers l'URL demandée au départ, après un nombre de secondes configurable (ce nombre peut être égal à zéro pour redirection quasi-immédaite, et pouvant être « vide » si on ne veut pas de cette redirection).</item>
    </list>

      20110214-1400
    <list>
    <item>début intégration graphique (interface publique en CSS alternatif ; logo Univnautes sur la page de login de l'admin)</item>
    <item>possibilité de configurer une URL de redirection "obligatoire" après la page d'accueil (refresh après 2 secondes)</item>
    <item>système d'upgrade fonctionnel (sauf upgrade depuis interface web: à re-vérifier) + corrections du système dans le pfSense de base</item>
    <item>widgets "captive portal" et "services" activées par défaut sur la page d'accueil</item>
    <item>passage du timezone par défaut en Etc/UTC car certains logs ne se font qu'en UTC, même si on change le timezone</item>
    <item>renforcement du système de déconnexion : retrouve le sessionid de pfsense en fonction de l'IP qui demande le logout</item>
    <item>(interne: meilleure synchro entre sessions pfsense et pffedportal(django))</item>
    <item>(interne: cron de nettoyage des sessions pffedportal(django))</item>
    <item>(interne: mise à jour django en 1.2.5)</item>
    </list>

      20110204-1517
    <list>
    <item>affichage des infos eduPersonTargetedId + nameId + IdP sur Status/Captive Portal</item>
    <item>mise en place d'un système de blacklist selon eduPersonTargetedId|nameId|IdP dans Status/Captive Portall (en bas de l'onglet Univnautes) avec possibilité de regex + logs des connexions blacklistées</item>
    <item>affichage du dernier IdP choisi</item>
    <item>affichage du displayName</item>
    <item>gestion de metadonnées locales (pour ajout d'Idp hors fédération) : ajout d'un champ "local metadata" à remplir en XML dans la page Services/Captive Portal/Univnautes</item>
    <item>logs des systèmes metadata/whitelist sont désormais visibles sur l'onglet "Portal Auth" dans Status/System Log</item>
    <item>redémarrage automatique des services en cas de modification de configuration sur l'onglet Univnautes de Services/Captive Portal</item>
    <item>meilleur ordre des onglets dans Services/Captive Portal (et effacement de l'onglet "allowed hostname" non fonctionnel)</item>
    <item>affichage LAN/WAN dans le bon ordre lors de la première configuration</item>
    <item>affichage de 'Entity ID' au lieu de 'URL' pour le champ de saisie de l'IdP par défaut</item>
    <item>configuration simplifiée du WAN depuis la console (ne pose plus de question sur un retour en http, etc.)</item>
    <item>correction d'un gros bogue (régression) : certificat HTTPS non pris en compte (merci à Benoit)</item>
    <item>(interne : script d'update metadata et whitelist plus solides)</item>
    <item>(interne : update de la whitelist IP plus "solide", évite de faire des flush de la table et sait supprimer les anciennes IPs)</item>
    <item>(interne : meilleure gestion des metadonnées ; sync-metadata au lieu de load-metadata)</item>
    <item>(interne : retour en mode "debug" par défaut pour django, pour aide au diagnostic en cas de soucis)</item>
    <item>(interne : début de suppression des données de test)</item>
    </list>

      20110127-1436
    <list>
    <item>intégration des pages 'univnautes' dans Services/Captive Portal (au lieu d'une page séparée)</item>
    <item>synchronisation avec pfsense (nouveauté : passthrough portail captif par hostname)</item>
    <item>ssh vers le serveur complètement coupé par défaut (depuis LAN et WAN)</item>
    <item>configuration cohérente des leases dhcp et timeouts sur le portail captif</item>
    <item>passage de l'application pffedportal (django) en mode production (auparavant en mode debug)</item>
    <item>(interne : meilleure initialisation des paramètres univnautes lors du boot)</item>
    <item>(interne : corrections de bogues dans authsaml2)</item>
    <item>(interne : suppression des paquets python inutiles dans le virtualenv)</item>
    </list>

      20110125-1518
    <list>
    <item>affichage du service cp_univnautes sur le widget des services</item>
    <item>choix de l'IdP par défaut dans l'interface de config (i.e. dans le package univnautes)</item>
    <item>mise à jour de la configuration par défaut du système de backup (ne conserve que les choses utiles)</item>
    <item>modifications (mineures) pour mise en adéquation totale avec les recommandations http://www.opquast.com/</item>
    <item>(interne: système de patch efface les anciennes versions)</item>
    <item>(interne: correction dans authsaml2)</item>
    </list>

      20110121-1650
    <list>
    <item>page de configuration des paramètres Univnautes : certif SAML, URLs des whitelist et metadata, etc.</item>
    <item>page de configuration de textes des pages du portail (header et footer, il s'agit juste d'une preuve de concept en attendant les designs finaux)</item>
    <item>adaptation du filemanager du portail captif pour l'upload de fichiers (images, css, etc.)</item>
    <item>la configuration du portail captif n'affiche plus que les paramètres gérés par univnautes (patch sur pfSense)</item>
    <item>affichage du service cp_univnautes sur la page de suivi des services pfSense ; permet un stop/start/restart</item>
    <item>(interne : système de patch de pfSense clairement distinct)</item>
    <item>(interne : nom "eduspot" remplacé par "univnautes" partout où nécessaire)</item>
    </list>

      20110118-1025
    <list>
    <item>système de backup (Diagnostic/Backup Files)</item>
    <item>ouvre le lien de la page d'accueil (après connexion) sur une nouvelle fenêtre</item>
    <item>(interne : rationalisation du système de construction de l'iso, suite)</item>
    </list>

      20110114-1511
    <list>
    <item>règles de pare-feu par défaut : RC1</item>
    <item>outils pour chargement manuel whitelist et metadata</item>
    <item>(interne : rationalisation du système de construction de l'iso)</item>
    <item>(interne : renommage des scripts ; modularisation)</item>
    </list>

      20110113-1416
    <list>
    <item>règles de pare-feu par défaut : RC1</item>
    <item>outils pour chargement manuel whitelist et metadata</item>
    <item>(interne : rationalisation du système de construction de l'iso)</item>
    <item>(interne : renommage des scripts ; modularisation)</item>
    </list>

      20110111-2220
    <list>
    <item>première version, présentée au groupe le 12 janvier 2011</item>
    </list>